%if 0%{?el7}
%define dist .el7
%endif

%if 0%{?fedora} >= 27
%global proj_name pecl_rar
%global pecl_name rar
%global with_zts  0%{?__ztsphp:1}
%global ini_name  50-%{pecl_name}.ini
%{!?__pecl:     %{expand: %%global __pecl     %{_bindir}/pecl}}

%else
%global php_apiver  %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP API => //p') | tail -1)
%{!?__pecl:     %{expand: %%global __pecl     %{_bindir}/pecl}}
%{!?php_extdir: %{expand: %%global php_extdir %(php-config --extension-dir)}}
%{!?php_ztsextdir: %{expand: %%global php_ztsextdir %(zts-php-config --extension-dir)}}

%global with_zts  0%{?__ztsphp:1}

%define pecl_name rar
%endif

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
%define pecl_file 50-rar
%else
%define pecl_file rar
%endif


Name:		php-pecl-rar
Version:	4.2.0
Release:	1%{?dist}
Summary:	PHP extension for reading RAR archives using the bundled UnRAR library
Group:		Development/Languages
License:	PHP
URL:		http://pecl.php.net/package/%{pecl_name}
Source0:	http://pecl.php.net/get/%{pecl_name}-%{version}.tgz
Patch1:		0001-rar-4.2.0-Fixed-compile-for-8.2.13.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	php-devel
BuildRequires:	php-pear >= 1:1.4.0
BuildRequires:  gcc gcc-c++
%if 0%{?php_zend_api:1}
Requires:     php(zend-abi) = %{php_zend_api}
Requires:     php(api) = %{php_core_api}
%else
Requires:     php-api = %{php_apiver}
%endif
Requires(post):	%{__pecl}
Requires(postun):	%{__pecl}
Provides:	php-pecl(%{pecl_name}) = %{version}

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

# RPM 4.8
%{?filter_provides_in: %filter_provides_in %{php_extdir}/.*\.so$}
%{?filter_setup}
# RPM 4.9
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{php_extdir}/.*\\.so$


%description
This extension uses a modified version of the UnRAR library. The UnRAR library
is an official open-source library by RARLabs, an auto generated subset of the
RAR codebase. It is available from http://www.rarlab.com/rar_add.htm
Please note that it has a more restrictive license than the PHP bindings,
barring using it to re-create the RAR compression algorithm. See
unrar/LICENSE.txt for details.
Some modifications have been applied to the UnRAR library, mainly to allow
streaming extraction of files without using threads.

%prep
%setup -c -q
[ -f package2.xml ] || %{__mv} package.xml package2.xml
%{__mv} package2.xml %{pecl_name}-%{version}/%{pecl_name}.xml
pushd %{pecl_name}-%{version}
%patch -p1 1
popd

%if %{with_zts}
cp -pr %{pecl_name}-%{version} %{pecl_name}-%{version}-zts
%endif

%build
cd %{pecl_name}-%{version}
phpize
%configure --with-php-config=%{_bindir}/php-config

%{__make} %{?_smp_mflags}

%if %{with_zts}
cd ../%{pecl_name}-%{version}-zts
zts-phpize
%configure --with-php-config=%{_bindir}/zts-php-config
%{__make} %{?_smp_mflags}
%endif

%install
cd %{pecl_name}-%{version}
%{__rm} -rf %{buildroot}
%{__make} install INSTALL_ROOT=%{buildroot} INSTALL="install -p"

%if %{with_zts}
cd ../%{pecl_name}-%{version}-zts
%{__make} install INSTALL_ROOT=%{buildroot} INSTALL="install -p"
%endif

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{pecl_file}.ini << 'EOF'
; Enable %{pecl_name} extension module
extension=%{pecl_name}.so
EOF

%if %{with_zts}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php-zts.d
cp -rp %{buildroot}%{_sysconfdir}/php.d/%{pecl_file}.ini %{buildroot}%{_sysconfdir}/php-zts.d
%endif

%{__mkdir_p} %{buildroot}%{pecl_xmldir}
%{__install} -p -m 644 %{pecl_name}.xml %{buildroot}%{pecl_xmldir}/%{name}.xml

%clean
%{__rm} -rf %{buildroot}


%if 0%{?pecl_install:1}
%post
%{pecl_install} %{pecl_xmldir}/%{name}.xml >/dev/null || :
%endif

%if 0%{?pecl_uninstall:1}
%postun
if [ $1 -eq 0 ]  ; then
%{pecl_uninstall} %{pecl_name} >/dev/null || :
fi
%endif

%files
%defattr(-,root,root,-)
%doc %{pecl_name}-%{version}/example.php
%config(noreplace) %{_sysconfdir}/php.d/%{pecl_file}.ini
%{php_extdir}/%{pecl_name}.so
%{pecl_xmldir}/%{name}.xml
%if %{with_zts}
%config(noreplace) %{_sysconfdir}/php-zts.d/%{pecl_file}.ini
%{php_ztsextdir}/%{pecl_name}.so
%endif

%changelog
* Sat Jan 08 2022 momo-i <webmaster@momo-i.org> - 2.0.2-1
- Update to 2.0.2

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.0.3.1-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.0.3.1-3
- Rebuilt for fc23

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 1.0.3.1-2
- Rebuilt for fc22

* Thu Jan 23 2014 momo-i <webmaster@momo-i.org> - 1.0.3.1-1
- Initial rpm release.
